/* ===================================================================
 * FORMULAIRES
 * =================================================================*/
.TPL_FORMULAIRE {
    box-sizing: border-box;
    margin: 0 auto 20px;
    text-align: center;

    .innerParagraphe {
        max-width: 400px;
        width: 100%;
        margin: 0 auto;

        & > h2 {
            padding: 5px 5px 0;
            margin: 0;
            color: @bleu;
            margin-bottom: 1.6rem;
        }
        & > legend {
            color: #1D1C1B;
        }

    }



    fieldset.groupeQuestion,
    div.groupeQuestion {
        margin: 0 0 20px;
        border: 0;
        padding: 0;
    }
    .innerGroupeQuestion {
        padding: 0 0 0;
        margin: 20px 0;
    }
    .groupeQuestion {
        legend {
            width: 100%;
            font-weight: 700;
            font-size: 2.4rem;
            position: relative;
            padding: 5px 50px;
            box-sizing: border-box;

            &::before{
                content: '';
                position: absolute;
                top: 10px;
                left: 3px;
                display: block;
                width: 35px;
                height: 25px;
                background-image: url('/include/css/GAB_CLAIX/images/Rectangle-formulaire.png');
                background-size: 35px;
                background-position: center;
                background-repeat: no-repeat;
            }

            span {
                background-color: #fff;
                position: relative;
                z-index: 1;
                padding: 0 2rem 0 0;
            }
        }
        p {
            position: relative;
            padding: 0 0;
            box-sizing: border-box;
            text-align: left;
        }
    }

    form {
        .radioBouton(1.9rem, #fff, #fff, @bleuClair, 0.5rem, 0.1rem, 1.1rem, 0.7rem, 0.7rem, #fff, @bleuClair, 0.2rem, @texte);
        .checkBox(1.7rem, #fff, #fff, @bleuClair, 0.5rem, 0.4rem, '\f00c', 1.2rem, 0.2rem, 0rem, #fff, @bleuClair, 0.2rem, 0.2rem, @texte);
        .selectBox;

        label {
            padding-right: 1%;
            display: inline-block;
            font-size: 16px;
            text-align: left;
            box-sizing: border-box;
            color: #666666;

            &.enLigne {
                font-weight: 700;
                width: auto;
                margin-right: 1.5rem;
                font-size: 1.6rem;
            }
        }

        //Champs : page de recherche
        /* p {
            display: flex;
            justify-content: center; */

            #searchSubmit {
                height: 50px;
                width: 75px;
                border-radius: 30px;
                border: 1px solid #abbdbf;
                margin-left: 5px;
                .tr;

                &:hover,
                &:focus,
                &:active {
                    background: @primaryColor;
                    border-color: @primaryColor;
                    color: #fff;
                    .tr;
                }
            }
        //}

        .cases .case label {
            color: #484848;
            font-weight: 400;
        }

        [type="radio"] + label::before {
            top: 0.8rem !important;
        }
        [type="radio"] + label::after {
            top: 1.4rem !important;
        }
        [type="checkbox"] + label::before {
            top: 0.7rem !important;
        }
        [type="checkbox"] + label::after {
            .fas;
            left: 0.7rem !important;
            top: 0 !important;
        }
        [type="checkbox"] + label,
        [type="radio"] + label {
            &:hover,
            &:focus {
                color: @texte;
            }
        }
        select {
            background-position: ~"calc(100% - 20px) center";
            cursor: pointer;
            border-color: #D3D3D3;
            padding: 8px 10px 10px;
            box-sizing: border-box;
            option {
                color: #484848;
                font-weight: 400;
            }
        }
        p.action {

            a,
            input.submit {
                padding: 15px 50px;
                background: #F5F5F5;
                border: none;
                border-radius: 30px;
                color: @bleu;
                text-align: center;
                font-weight: bold;
                margin-top: 20px;
                .tr;

                &:hover, &:focus {
                    box-shadow: inset 0 0 5px 5px rgba(0,71,122,0.5);
                    background: linear-gradient(94.22deg, #2D9CE9 0%, #00548E 100%);
                    color: #fff;
                }
            }
        }
    }
    input[type='tel'],
    input[type='url'],
    input[type='date'],
    input[type='file'],
    input[type='text'],
    input[type='email'],
    input[type='number'],
    input[type='search'],
    input[type='password'],
    textarea,
    select {
        height: 50px;
        padding: 8px 10px 10px;
        line-height: normal;
        appearance: none;
        border: 1px solid #ABBDBF;
        border-radius: 30px;
        box-sizing: border-box;
        vertical-align: middle;
        font-weight: 700;
        font-size: 16px;
        display: inline-block;
        clear: both;
        color: #6F8082;
        max-width: 400px;
        width: 100%;
        &:focus {
            outline-style: none;
            border-color: darken(#edf0f2, 20%);
        }
        @media (max-width: @mobile) {
            height: auto;
            min-height: 3em;
        }
        &::placeholder {
            font-weight: 100;
        }
    }
    input[type='text'] {
        height: 50px;
        border-color: #ABBDBF;
        border-style: solid;
        border-width: 1px;
        border-radius: 30px;
        padding: 8px 10px 10px;
    }
    input[type="file"] {
        padding: 0;
        box-sizing: content-box;
        border: 0;
        border-radius: 0;
        margin-top: 15px;
    }
    textarea {
        vertical-align: top;
        min-height: 6.4rem;
        height: auto;
        min-width: 280px;
        padding-top: 20px;
        border-radius: 30px 30px 0 30px;
    }
    input[type='file'] {
        padding: 0;
        box-sizing: content-box;
    }
    input.captchaInput {
        width: auto;
    }
    span.cases {
        width: 71%;
        display: inline-block;
    }
    input.case {
        border: 0;
        margin-right: 5px;
    }
    a.submit,
    input.submit,
    button.submit {
        padding: 15px 50px;
        background: linear-gradient(94.22deg, #2D9CE9 0%, #00548E 100%);
        border: 1px solid #006BB8 !important;
        border-radius: 30px;
        color: @bleu;
        text-align: center;
        font-weight: bold;
        transition: all 0.3s;
        &:hover, &:focus {
            background: #fff;
            color: #292931;
        }
        @media (max-width:  @mobile) {
            line-height: 4.8rem;
            min-height: 4.8rem;
            padding-left: 30px;
            padding-right: 30px;
        }
    }
    span.counter {
        display: block;
        font-size: 1.2rem;
    }

    @media screen and (max-width: @mobile) {
        form {
            label {
                width: 100%;
                display: block;
                padding: 0;
                margin-bottom: 5px;
                text-align: left;
            }
        }

        input[type='tel'],
        input[type='url'],
        input[type='date'],
        input[type='file'],
        input[type='text'],
        input[type='email'],
        input[type='number'],
        input[type='search'],
        input[type='password'],
        textarea,
        select,
        span.cases {
            width: 100%;
            display: block;
        }

        select {
            line-height: 2.4em;
            min-height: 3em;
        }

        span.case {
            display: block;
            margin-right: 0;
        }
        span.cases br {
            display: none;
        }

        input.captchaInput {
            width: auto;
            display: inline-block;
        }

        input.submit {
            max-width: 100%;
        }
    }
    form.bloc {
        position: relative;
        padding: 30px 30px 68px;
        border-radius: 10px;
        background-color: #fff;
        box-shadow: 0 4px 30px rgba(60, 65, 69, 0.2);
    }
    fieldset.noborder {
        margin: 0;
        padding: 0;
        border: none;
    }
}

p.mention_cnil {
    font-style: italic;
    font-size: 1.6rem;

    @media screen and (max-width: @mobile) {
        padding: 0 10px;
    }
}

span.obligatoire {
    color: red;
}

p.notice {
    color: red;
    margin: 0;

    @media screen and (max-width: @mobile) {
        padding: 0 10px;
    }
}

.captchaImg {
    vertical-align: bottom;
    border: 1px solid #000;
}

.captchaOperation {
    font-weight: bold;
}

.captchaInput {
}

/*  Messages d'erreur */
.form_error {
    background-color: red;
    color: #fff;
    font-weight: 700;
    padding: 20px;
    margin-bottom: 20px;
    font-size: 1.4rem;
    li {
        list-style: inside;
    }

    @media screen and (max-width: @mobile) {
        padding: 0 10px;
    }
}

/* Bouton retour (formulaire à étape) */
.form_retour {
    .btnStandard;
    margin-right: 20px;
    font-weight: 700;
    font-size: 1.4rem;
    line-height: normal;
    &:hover, &:focus {
        background-color: @bleu;
        border-color: @bleu;
    }
}

/* Confirmation de soumission du formulaire */
.form_success {
    background-color: #fff;
    color: @texte;
    padding: 20px;
    font-weight: 700;
    text-align: center;
    a {
        .btnStandard;
        padding: 15px 20px;
    }
    p:last-child {
        margin-bottom: 0;
    }
}

/* tooltip d'aide */
.ui-tooltip {
    font-size: 12px !important;
    line-height: normal !important;
}

.helper {
    cursor: help;
}

/* ===================================================================
 * BULLES D'AIDE AU SEIN DES FORMULAIRES
 * =================================================================*/
.paragraphe .helper img {
    border: none;
    padding: 0;
    margin: 0;
}

/* it will work better with this box-sizing, you may adapt it to your needs */
/*html { box-sizing: border-box; }
*, *:before, *:after {
  box-sizing: inherit;
}*/
/* Tooltip hidden by default */
.simpletooltip[aria-hidden='true'] {
    display: none;
}

/* position relative for containers */
.simpletooltip_container {
    position: relative;
}

/* tooltip styles */
.simpletooltip {
    position: absolute;
    z-index: 666;
    right: auto;
    left: 100%;
    width: 10em;
    margin-left: 5px;
    border-radius: 5px;
    background: rgba(0, 0, 0, .9);
    color: #eee;
    padding: 5px;
    text-align: left;
    line-height: 1.3;
}
